Description: Dear all,

I think that I found an issue not previously reported. When you use PDFFORMS, exams more than one page 
long are corrected wrongly on the first answer of the first question. 

Eg. suppose that correct answer for first question of first page is the first one. Even if the student has marked 
this answer as correct, it is not counted properly. It is displayed as not answered !

Thanks a lot,

Wenceslao

PS: I am using version 1.4.0 (debian sid)

History
04/09/2020 01:51 pm - Joël Brogniart
The problem is known (see https://project.auto-multiple-choice.net/issues/713#note-41 in French) and a solution has been proposed.
Now we have to wait for the boss to have a moment to check and incorporate the solution into AMC.

04/09/2020 02:15 pm - Wenceslao González-Viñas
Sorry ! I didn't check French version of issues ...

Thanks a lot!!!!

Wenceslao

04/10/2020 04:44 pm - Joël Brogniart
The patch is now incorporated in AMC source code. I don't know how the debian part is updated.

04/10/2020 07:22 pm - Wenceslao González-Viñas
Thank you very much! I will wait till then.

You are doing a great job!

Wenceslao

04/11/2020 09:29 am - Alexis Bienvenüe
- Status changed from New to Resolved

- % Done changed from 0 to 100

@auto-multiple-choice-1.4.0-4@ is on its way in debian sid, and includes this patch.

04/17/2020 07:05 pm - Joss OUIN
Bonjour,
Est-ce que la version 1.4.0-4 est disponible sur la distribution "bionic" ?
Je ne peux pas installer la version de test car j'ai un devoir que je n'ai pas encore corrigé (je ne peux pas accéder au scanner du boulot (8*50 = 400 
pages à numériser)).
Si j'installe la version de test, je risque de ne pas pouvoir corriger ce paquet de copies-là.

Bonne soirée.
J/O

04/20/2020 06:11 pm - Frédéric Bréal
J'ai la version 1.4.0+git2020-04-15 sur xubuntu, dernière version à jour.

04/20/2020 07:08 pm - Joss OUIN
Bonsoir,

Merci Gérard pour cette précision. Sur mon xubuntu, lorsque je lance AMC et que je me rends dans "Aide/A propos" je vois la version 1.4.0
Comment dois-je faire pour savoir si j'ai le "git2020-04-15" ? Je pense qu'il ne s'installe pas automatiquement avec le ppa : 
"http://ppa.launchpad.net/alexis.bienvenue/amc/ubuntu" et le gestionnaire de mise à jour.

Du coup j'ai deux questions :
1] Comment faire pour "installer" le "git2020-04-15" (je crois qu'il faut passer par le ppa : "http://ppa.launchpad.net/alexis.bienvenue/test" non ?)
2] Si j'installe ce "git"-là est-ce que je risque de ne pas pouvoir corriger un devoir fabriqué et imprimé avec la version 1.4.0  en février 2020 ?

Si la réponse à la 2] est oui (donc un risque de ne pas pouvoir corriger) est-ce qu'une solution serait de :
a) fabriquer un nouveau sujet avec la version +"git" SANS rien changer à la mise en forme dans le fichier LaTeX (puisque les copies ont déjà été 
imprimées)
b) puis corriger les copies à l'aide de cette version +"git".

Je crois que dorénavant je ferai comme vous : je resterai toujours avec la version "test" c'est-à-dire la dernière version à jour. J'ai juste ce "blocage" dû 
à un devoir qui n'est pas encore corrigé pour cause d'absence de scanner.

Bonne soirée.
J/O

04/20/2020 07:35 pm - Frédéric Bréal
> je crois qu'il faut passer par le ppa : "http://ppa.launchpad.net/alexis.bienvenue/test" non ?)
oui
> Si j'installe ce "git"-là est-ce que je risque de ne pas pouvoir corriger un devoir fabriqué et imprimé avec la version 1.4.0 en février 2020 ?
>  fabriquer un nouveau sujet avec la version +"git" SANS rien changer à la mise en forme dans le fichier LaTeX
je dirais non, le risque est faible. Pour moi, le plus grand risque c'est le décalage des marques.
> d'absence de scanner
Je me suis offert l'an dernier une hp office pro 8710 et c'est super quand la photocopieuse du collège est en panne ou éteinte le soir et que je n'ai pas 
envie d'attendre.
N'avez-vous pas un magasin type « bureau vallée » pour scanner ? Avez-vous tenté une photo de smartphone ? 

04/20/2020 07:38 pm - Frédéric Bréal
> d'absence de scanner
ou la webcam ?

04/20/2020 07:44 pm - Joss OUIN
Bonsoir,
Merci pour ces infos. Je n'avais pas pensé à la photo avec le smartphone (et aussi la webcam). Cela fait pas mal de photos mais cela vaut la peine 
d'essayer : du coup je réglerai le problème du paquet de copies en suspens et je serai libre d'installer la superbe version du 15-04-2020 (car j'aimerais 
bien faire des essais et pourquoi pas de tutoriels).
Bonne soirée.
J/O

02/07/2021 02:52 pm - Alexis Bienvenüe
- Status changed from Resolved to Closed

04/09/2024 3/3


